2013-07-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Moved Makefile fragments to ../../am/.

2013-03-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvi2xx.c: use '(void)AssureBinary' to avoid compiler warning.

2013-01-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am, configure.ac: Allow subdir-objects.

2012-12-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvi2xx.c: Drop unused variables (gcc-4.6 warning).
	Cast anonymous enum to ValTyp.

2012-11-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Avoid use of deprecated INCLUDES.

2012-10-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvi2xx.c [WIN32]: Avoid segmentation fault for missing WINDIR.

2012-10-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvi2xx.c [WIN32]: Drop is_dir() and handle tmp_dir differently
	(from Akira).

2012-10-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvi2xx.c [WIN32]: Define is_dir() and handle tmp_dir
	(from Akira).  Use IS_DIR_SEP_CH().
	* dvi2xx.h: #include <kpathsea/c-pathch.h>.

2012-09-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvi2xx.c: The macro max(x,y) is not the usual function, so
	rename it -> set_max(x,y) to avoid confusion.
	* dvi2xx.h: Drop useless definition of max(x,y).

	* dvi2xx.c: With KPATHSEA set G_progname to kpse_program_name
	instead of argv[0] (from W32TeX).

2012-08-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvi2xx.[ch]: Rename CopyFile -> my_CopyFile, ResetPrinter ->
	my_ResetPrinter, and PATTERN -> my_PATTERN to avoid a conflict
	with WIN32 headers (from W32TeX).

2011-05-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* doc/Makefile.am: Use ../am/bin_links.am for $(bindir) links.

2011-05-25  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (SUBDIRS): Add win32 to build C program dvihp
	from Akira's W32TeX as WIN32 replacements for the shell script.

2011-02-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am [WIN32]: Add dvilj6.exe wrapper.

2011-02-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Use ../am/man1_links.am for manpage links.

2010-12-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am, configure.ac: Ignore shell script for WIN32.

2010-02-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvi2xx.c (mkdtemp): Declare as static.  [WIN32] Define mkdir
	as macro discarding the mode argument.
	* dvi2xx.h (max): #undef before redefinition.
	(ResetPrinter): #define as LJResetPrinter to avoid conflict.

2009-12-24  Karl Berry  <karl@tug.org>

	* AUTHORS, dviljk.pod, README, dvihp: doc/email fixes.

2009-08-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Cleanup: move extern declarations to header tfm.h.
	* dvi2xx.h (Fatal, NoSignExtend, tfm_read_info, Warning),
	tfm.c (TFMpath, Fatal, NoSignExtend, G_quiet, Warning),
	config.h (tfm_info_type): Removed.
	* tfm.h (tfm_info_type, TFMpath, G_quiet, Fatal, NoSignExtend,
	Warning): Declared here as extern.
	(tfm_read_info): Declared as extern.

	* dvi2xx.c (VisChar): Although unused, declare as static with
	ANSI C definition.

2009-08-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Avoid many maximal compiler warnings.
	* dvi2xx.[ch], tfm.c: Constify string args of CopyFile(),
	Fatal(), IsSame(), Warning(), and check_checksum().
	* dvi2xx.[ch]: Constify various globals and avoid modifying them.
	(ReadPostAmble): Declare den and num as local vars and drop the
	now unused global ones.

2009-08-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvi2xx.h: #include <kpathsea/version.h> and ...
	* dvi2xx.c: ... drop nested extern declarations.

2009-07-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* config.h: define FMT_long4 as "%ld" or "%d" when long4 is
	long or int resp.
	* dvi2xx.c (main, DoSpecial): cast long4 to long for printing.
	(DecodeArgs): use FMT_long4 for scanf; on 64Bit systems
	sscanf(string, "%ld", &<int>) is wrong.

2009-07-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (dvilj.man): rebuild only in maintainer-mode.

2009-07-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvi2xx.c: use '(void)AssureBinary' to avoid compiler warning.

2009-06-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* config.h, dvi2xx.c, dvi2xx.h, tfm.c, tfm.h:
	always use ANSI C function definitions and prototypes.
	* dvi2xx.c (getnyb, pk_packed_num): declare as static.
	* dvi2xx.h: #include <stdarg.h>, not <kpathsea/c-vararg.h>.

2009-06-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (AM_CFLAGS): enable compiler warnings.
	* dvi2xx.c: #include "tfm.h".
	(getnum, setOffset, TryResident): declare as static.
	* tfm.c: #include "tfm.h".
	* tfm.h (new): protoype for tfm_read_info.

2009-05-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Adapt to TL2009 build system.

2008-02-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* acconfig.h: removed.

2008-02-17  Joachim Schrod  <jschrod@acm.org>

	Bump up version number to 2.6p5.

	* dvi2xx.h (GetBytes): Sun Studio 11 cc complains about
	incompatible types in conditional expressions; add a cast.
	Problem reported by Vladimir Volovich <vvv@vsu.ru>.

	* dvi2xx.c (mkdtemp): Add function if it's not available. Remove
	the macro from config.h, it generated warnings and mkdir()
	declaration was missing. Problem reported by Vladimir Volovich.
	* configure.in: Add check for mktemp(). Regenerated configure.

2008-01-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Convert from autoconf-2.13 to autoconf-2.59+:
	* Makefile.in: Add @configure_input@ line.
	* aclocal.m4 (new): Generated (aclocal -I ../m4).
	* configure: Regenerated (autoconf).

2007-07-10  Joachim Schrod  <jschrod@acm.org>

	* dvi2xx.c (TryResident): Many Postscript fonts have font family
	UNSPECIFIED; especially those whose LaTeX suuport has been
	generated by fontinst. Don't reject the usage of these fonts.

2007-07-05  Joachim Schrod  <jschrod@acm.org>

	Bump up version number to 2.6p4.

	* dvilj.pod, Makefile.in, dvilj.man: Generate dvilj man page from
	POD document. Update man page content; in particular, all specials
	are described now. Also add links to PCL reference documentation.

	* dvi2xx.c (DecodeArgs): Update set of pagesize values.
	(DoSpecial): Special grey is an alias for gray.
	Value for orientation special may also be 3.
	defpoints did not survive one special. No debug output for point
	definitions with absolute coordinates.

2007-07-04  Joachim Schrod  <jschrod@acm.org>

	* dvi2xx.c (DoSpecial): Add special dvilj-psfile-syntax, to
	specify what shall be done with psfile specials, since they are
	incompatible to dvips. Supported values: "ignore" and "dvilj".
	Later, support for "dvips" should be added.
	If the first keyword in a special is unknown, ignore the whole
	special. This makes it easier to ignore specials from other
	drivers.

2007-07-03  Joachim Schrod  <jschrod@acm.org>

	* dvi2xx.c (CopyHPFile): Open include file only once, rewind
	instead of reopen.

	(main): Enforce the kpathsea program name to be "dvilj", we don't
	want different search paths for the dviljk variations.
	Output reset sequence as specified in the HP PCL/PJL reference
	manuals.

	(DoSpecial): Search for include files with kpathsea, both via
	DVILJINPUTS and TEXINPUTS.
	Add special hpfile-verbatim, to include PCL files verbatim,
	without changing positioning commands.
	Add special comment, to include meta-information in a DVI file.
	For compatibility with other drivers, allow "comment" without
	equal sign and value.

	(CopyFile, CopyHPFile): Implement TEX_HUSH option `readable.'

2007-07-02  Joachim Schrod  <jschrod@acm.org>

	* dvi2xx.c (DoSpecial): Security issue: usage of tmpnam() caused
	tempfile race condition. I use mkdtemp() if it's available and
	fall back to tmpnam.

	Special parsing of include files was inconsistent, unify it. The
	current parsing code still allows lots of non-sensical special
	commands, but at least it doesn't access unrelated variables any
	more.

2007-06-28  Joachim Schrod  <jschrod@acm.org>

	* dvi2xx.c: Fixed a whole bunch of buffer overflows: The program
	did not check memory bounds for any string operation. All places
	where strings are copied with strcpy are replaced by dynamically
	allocated strings (with xstrdup from kpathsea) or bounded string
	operations. Fixed also manual string copy operations on special
	strings. Fixed array buffer overflow in defpoint and fill special
	operations.
	(DoSpecial): Call of ghostscript for psfile special had also a
	potential buffer overflow caused by unchecked usage of sprintf.
	Fix core dump: Check if all required parameters of psfile special
	are passed.

	Bumped version number up to 2.6p3.

	* dvi2xx.h: Some fixed sized string arrays are pointers now, they
	get dynamically allocated.
	(GetBytes): Another buffer overflow: Check that the buffer size is
	sufficient to store the read bytes. That relies on the invariant
	that the GetBytes macro is always called with an array as argument
	and not with a pointer.

	* config.h: Throw an error if kpathsea is not used. dvi2xx.c
	had previously already kpathsea dependencies without protecting
	them with #if KPATHSEA. We go that road further since upstream
	does not exist any more.

2006-05-29  Karl Berry  <karl@tug.org>

	* Makefile.in (install-exec): cd $(bindir) in case we are doing
	hard links on Cygwin.

Tue Mar  3 10:17:03 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* config.h: Markus Gyger <mgyger@osf1.gmu.edu> fix of config

Mon Feb 16 12:36:23 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* Makefile.in: fixes from Thomas Esser relating to prototypes

Tue Jan 27 14:32:25 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* configure etc: new configure.in, c-auto.in, Makefile.in from
	Olaf Weber
Sat Jan 17 15:09:59 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* assorted patches from Peter Breitenlohner, Olaf Weber,
 	Eli Zaretskii, Fabrice Popineau etc. Hope it all still works.


Thu Jan  1 10:58:34 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* tfm.c: KPATHSEA redefined (peb)

	* Removed src.fonts, fonts and tex to a separate `ljfonts'
	distribution on CTAN. They dont really belong here

Wed Aug 27 20:18:20 1997  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* stamp-auto: Remove this file, should be in build tree, not in
	source tree.

	* configure.in: Make `configure' rebuild the `stamp-auto' file.

Fri Mar 07 12:07:43 1997  Fabrice POPINEAU  <popineau@ese-metz.fr>

	* tfm.c: reflect use of varargs for Fatal().
	* dvi2xx.h: DVIELI()  use varargs.
	* dvi2xx.c: Fatal() and Warning() use varargs.

	* config.h: added varargs prototypes and vfprintf/_doprnt.

Thu Feb  6 17:33:30 1997  Karl Berry  <karl@cs.umb.edu>

	* Version 2.6.

Sun Jan  5 16:12:06 1997  Karl Berry  <karl@cs.umb.edu>

	* dvi2xx.c: It's 1997 now.

Mon Dec  9 00:53:30 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* dvihp: Use `basename $0` in usage and version messages for
 	consistency with other programs and scripts.
	Also accept -help, -version in addition to --help, --version.

Sat Dec  7 17:15:54 1996  Karl Berry  <karl@cs.umb.edu>

	* config.h (unistd.h) [HAVE_UNISTD_H]: Change condition for #include.
	Various WIN32 changes, also in dvi2xx.c and dvi2xx.h.  From Fabrice.

Tue Dec  3 22:12:58 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* Makefile.in (mostlyclean): No need to remove the $(programs).
	This is left to `make clean' elsewhere in dvipsk/xdvik/web2c.

Tue Dec  3 01:28:12 1996  Ulirk Vieth  <vieth@thphy.uni-duesseldorf.de>

	* dvihp: Missing ` in --version.

Wed Nov 27 09:48:43 1996  Karl Berry  <karl@cs.umb.edu>

	* config.h [!labs] (labs): Change condition again; cc on SunOS 4
	still fails to resolve references.

Sat Nov 23 13:52:26 1996  Karl Berry  <karl@cs.umb.edu>

	* dvi2xx.h (ManualFeed): New variable.
	* dvi2xx.c (DecodeArgs): Recognize -A to enable it.
	(main): Write the appropriate code in this case.
	From: "John Fontanilla" <john@trda3430.tdi.com>.

	* dvihp: Recognize -m.

Fri Nov 15 16:22:08 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (install-exec): Use INSTALL_LIBTOOL_PROG for
	binaries, INSTALL_SCRIPT for scripts.

Sun Oct 20 11:28:09 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (install-data): mkdirchain dvilj_latex2e_macrodir.

Fri Jul 26 15:50:00 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in: Remove co.make.
	(*.o): Use $(compile) instead of writing it out again.

Sat Jun  8 13:02:20 1996  K. Berry  <kb@cs.umb.edu>

	* Makefile.in (program*): Use kpathsea_link instead of link_command.

Mon May 27 16:26:14 1996  Karl Berry  <karl@cs.umb.edu>

        * Update for dvi2xx 0.51-13 (prerelease).

Fri Apr 26 17:38:29 1996  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-fonts): Make this a separate target, and
        use find | cpio instead of cp -r, for sake of CVS or RCS.

Tue Apr 23 08:55:34 1996  Karl Berry  <karl@cs.umb.edu>

        * dvi2xx.c: Call kpse_set_program_enabled.

Fri Mar  8 14:32:59 1996  Karl Berry  <karl@cs.umb.edu>

        * dvi2xx.c: Omit special warnings if TEX_HUSH includes special.

Thu Mar  7 12:00:23 1996  Karl Berry  <karl@cs.umb.edu>

        * dvi2xx.c (check_checksum): New routine to check TEX_HUSH. Change
        calls.

Thu Feb 15 13:57:19 1996  Karl Berry  <karl@cs.umb.edu>

        * dvi2xx.c (main): Set kpse_make_tex_discard_errors = G_quiet.

Sat Feb  3 15:44:29 1996  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (DEFS): Moved to common.make.

Fri Dec 29 17:17:20 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: misc.make is now clean.make.

Sun Dec 10 16:24:05 1995  Karl Berry  <karl@cs.umb.edu>

        * dvi2xx.c (LoadAChar): Raster character 0.
	From: Peter_Lock@premium.com.au.

Thu Nov 16 13:30:33 1995  Karl Berry  <karl@cs.umb.edu>

        * config.h [_AMIGA]: Correction to FONTAREA for _AMIGA.

Wed Sep 20 17:39:44 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (program_files): Add dvihp.

Thu Sep  7 11:16:18 1995  Karl Berry  <karl@cs.umb.edu>

        * dvihp: Don't redirect from /dev/null, so -f can work.

        * dvi2xx.c (DecodeArgs): Make - work again.
	From: Christoph Baumhof <Christoph.Baumhof@math.uni-karlsruhe.de>.

Fri Sep  1 17:55:06 1995  Karl Berry  <karl@cs.umb.edu>

        * dvihp (-P): Accept separate arg. From Thomas, of course.

Wed Aug 30 15:53:43 1995  Karl Berry  <karl@cs.umb.edu>

        * dvihp (-o): Fix case where -o is last option. From Thomas.

Sun Aug 27 15:15:33 1995  Karl Berry  <karl@cs.umb.edu>

        * dvi2xx.c: Use xfopen instead of sys_errlist, etc.

Tue Aug  8 13:43:43 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-exec): Install dvihp.
        * dvihp: Write usage message, finish translating all the dvips
        options we can.  Idea from Thomas.

Mon Aug  7 14:54:42 1995  Karl Berry  <karl@cs.umb.edu>

        * config.h (MAX_FONTS_PER_PAGE) [LJ4]: Use 255 in this case, too.

        * dvi2xx.c (main): In FNT? case, always read the parameter bytes,
        even if in SkipMode.

Sun Aug  6 17:56:53 1995  Karl Berry  <karl@cs.umb.edu>

        * dvi2xx.c (main): Add more debugging output to BOP commands, etc.
        (DEBUG_PRINT, DEBUG_PRINT1): New macros a la kpathsea/debug.h.

Thu Aug  3 15:56:17 1995  Karl Berry  <karl@cs.umb.edu>

        * dvi2xx.c (ReadFontDef) [DEBUG]: Omit ``mallocating'' message if
        debug is on.

Mon Apr 17 10:03:20 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (program*): Use link_command.

Fri Feb 10 14:46:07 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (post-dist): Rename contrib to src.fonts again.
        (dvilj*.o): Depend on dvi2xx.c, and use $(srcdir) in compilation
        line. From Andreas.

Sun Jan  8 12:16:04 1995  Karl Berry  <karl@cs.umb.edu>

        * Version 2.5.

Wed Jan  4 12:39:15 1995  Karl Berry  <karl@cs.umb.edu>

        * config.h (UNKNOWN): Don't need to define this here.

Sat Dec 31 17:30:58 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: Don't include tmptk.make any more.
        (install-exec): Don't depend on install-MakeTeXPK, either.

Fri Dec 30 15:25:54 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-exec): Don't depend on default, so dvilj4
        doesn't get made if the user didn't want it.
        (install-data): mkdirchain on texinputdir and fontdir.
        From Joachim.

        * dvi2xx.c (MFMODE): Use MFMODE[36]00, not cx/ljfour. From Joachim.

Wed Dec 14 15:16:29 1994  Karl Berry  <karl@cs.umb.edu>

        * Version 2.4.

Sun Dec 11 12:31:11 1994  Karl Berry  <karl@cs.umb.edu>

        * dvi2xx.c: Avoid printing character 32 if we're doing sevenbit
        fonts, for the Kyocera.  Reported by
        gierling@phoenix.tp1.ruhr-uni-bochum.de, fix from Gustaf.

Thu Nov 24 13:54:51 1994  Karl Berry  <karl@cs.umb.edu>

        * dvi2xx.c (ReadFontDef): Cast arg to kpse_magstep_fix to
        unsigned.  From RZ32@IBM3090.RZ.UNI-KARLSRUHE.DE (Klaus Braune).

Tue Nov 15 16:21:40 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (targets.make): This is split up now.

Sun Nov  6 16:10:50 1994  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Run autoupdate.

Tue Oct 25 17:53:59 1994  Karl Berry  <karl@cs.umb.edu>

        * Version 2.3.

Fri Oct 14 10:32:50 1994  Karl Berry  <karl@cs.umb.edu>

        * Version 2.2.

Sat Oct  1 20:12:55 1994  Karl Berry  <karl@cs.umb.edu>

        * dvi2xx.c: Use perror and exit instead of fatal when given a
        nonexistent file.

Mon Sep 12 11:06:45 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 2.1.

Sun Sep 11 17:23:25 1994  Karl Berry  (karl@cs.umb.edu)

        * config.h (labs) [!STDC_HEADERS && !labs]: Change condition.

Wed Sep  7 16:28:58 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 2.0.

Mon Sep  5 10:55:41 1994  Karl Berry  (karl@cs.umb.edu)

        * config.h (unix) [_AIX]: Define unix in this case.

Sat Sep  3 14:08:54 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (install-data): Use texinputdir for *.tex, not fontdir.

Fri Sep  2 13:09:30 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (objects): Correct to dvilj.o.
        (makeargs, install_args): No need for these.

Tue Aug 30 14:21:25 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (mostlyclean): Remove all the $(programs).
        (distclean): Don't need this.

Mon Aug 29 13:26:26 1994  Karl Berry  (karl@cs.umb.edu)

        * Update for dvi2xx 051a11.

Sun Aug 28 17:05:33 1994  Karl Berry  (karl@cs.umb.edu)

        * dvihp: Make some attempt to make this usable as a printcap
        filter. From andyp@jfbi.CV.COM.

        * Makefile.in (install-data): Install the fonts by running cp -r,
        not using a Makefile.  Also install the LaTeX files.

        * configure.in (AC_OUTPUT): No more fonts/Makefile.

Sun Aug 21 12:21:23 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: Include programs.make.

Sat Aug 13 17:14:38 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: Use $@ where possible.

Tue Aug  9 14:40:50 1994  Karl Berry  (karl@cs.umb.edu)

        * dvi2xx.c: (ReadFontDef): Call kpse_magstep_fix on the dpi.
        Fix debugging printf warnings.

Fri Jul 29 13:26:49 1994  Karl Berry  (karl@cs.umb.edu)

        * dvi2xx.c (PRINTER) [LJ4]: Use Arabic numeral for name.

        * Makefile.in (objects, etc.): Support for new binary dvilj4l.
        * config.h (RESOLUTION, MFMODE) [LJ4L]: Set to 300/cx for this new
        symbol.

        * dvi2xx.c (DecodeArgs): Always scale pgsiz_dots.
        (main) [LJ4]: Don't hardwire 600dpi.
        These fixes from ajp@eng.cam.ac.uk.

Mon Jun 20 15:10:44 1994  Karl Berry  (karl@cs.umb.edu)

        * dvi2xx.c (main): Call kpse_init_prog instead of all the inline
        initializations.

Sun Jun 19 11:06:31 1994  Karl Berry  (karl@cs.umb.edu)

        * dvi2xx.c (main): Call kpse_set_progname.

Sat Jun 18 17:38:23 1994  Karl Berry  (karl@cs.umb.edu)

        * dvi2xx.c (MAKETEXPK_BY_DEFAULT): Enable it by default.

Mon Jun 13 10:13:18 1994  Karl Berry  (karl@cs.umb.edu)

        * dvi2xx.c (ReadFontDef): Don't call kpse_set_maketex_mag here,
        let kpathsea do it.

Sun Jun 12 14:12:47 1994  Karl Berry  (karl@cs.umb.edu)

        * dvi2xx.c (ReadFontDef): Avoid checksum warning if we made a font
        substitution.

Sat Jun 11 19:00:33 1994  Karl Berry  (karl@cs.umb.edu)

        * dvi2xx.c (DecodeArgs): Allow a number after the -- to set
        kpathsea_debug.

Sun May 22 15:34:20 1994  Karl Berry  (karl@cs.umb.edu)

        * dvi2xx.c, tfm.c: Change most long's to long4, for the sake of
        the Alpha. From bruno@alpha1.csd.uwm.edu.

        * config.h (unix) [!unix && __unix__]: Define this, to work around
        ANSI.

Sun Apr 17 16:15:56 1994  Karl Berry  (karl@ra.cs.umb.edu)

        * config.h (signed_char): Use the web2c code for this.

        * Makefile.in (top_srcdir): Define this for configure to substitute.

Tue Apr 12 10:32:38 1994  Karl Berry  (karl@ra.cs.umb.edu)

        * dvi2xx.c (DecodeArgs): Allow foo and foo.bar.dvi for input names.
        From jules@jps.co.uk.

Sun Apr  3 10:20:58 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 1.1.

Sat Apr  2 06:09:20 1994  Karl Berry  (karl@cs.umb.edu)

	(Today's changes from Bruno.)
        * configure.in: Include AC_LONG_64_BITS.
        * config.h: Use LONG_64_BITS instead of `alpha'.

        * dvi2xx.c (ReadFontDef): Call kpse_set_maketex_mag before finding
        the PK file.

Fri Apr  1 11:44:31 1994  Karl Berry  (karl@cs.umb.edu)

        * contrib/dvihp: New (simple-minded) script.

Thu Mar 31 07:21:21 1994  Karl Berry  (karl@cs.umb.edu)

        * fonts/Makefile.in (install): norm=gr for Garamond, not gm.
        norm=an for Antique Olive, mr for Marigold.

Wed Mar 23 10:23:56 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (install-data): dvilj.1 is in $(srcdir).

Thu Mar 10 08:04:45 1994  Karl Berry  (karl@cs.umb.edu)

        * dvi2xx.c (getenv, malloc, atoi): Do not declare here.

Thu Mar  3 08:51:17 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 1.0.
